Loading...
Searching...
No Matches
RDMIF::CoulombDielectric Class Reference

class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule by taking a distance-dependent dielectric into account: More...

`#include <MIFDescriptors.h>`

## Public Member Functions

| CoulombDielectric ()
| CoulombDielectric (const std::vector< double > &charges, const std::vector< RDGeom::Point3D > &positions, double probeCharge=1.0, bool absVal=false, double alpha=0.0, double cutoff=1.0, double epsilon=80.0, double xi=4.0)
| constructs CoulombDielectric object from vectors of charges and positions
| CoulombDielectric (const RDKit::ROMol &mol, int confId=-1, double probeCharge=1.0, bool absVal=false, const std::string &prop="_GasteigerCharge", double alpha=0.0, double cutoff=1.0, double epsilon=80.0, double xi=4.0)
| constructs Coulomb object from a molecule object
double | operator() (double x, double y, double z, double thres) const
| returns the electrostatic interaction at point `pt` in the molecule's field in [kJ mol^-1]

## Detailed Description

class for calculation of electrostatic interaction (Coulomb energy) between probe and molecule by taking a distance-dependent dielectric into account:

Same energy term as used in GRID References: J. Med. Chem. 1985, 28, 849. J. Comp. Chem. 1983, 4, 187.

Definition at line 203 of file MIFDescriptors.h.

## Constructor & Destructor Documentation

## CoulombDielectric() [1/3]

RDMIF::CoulombDielectric::CoulombDielectric | ( |  | ) |

inline

Definition at line 205 of file MIFDescriptors.h.

## CoulombDielectric() [2/3]

RDMIF::CoulombDielectric::CoulombDielectric | ( | const std::vector< double > & | charges,
|  | const std::vector< RDGeom::Point3D > & | positions,
|  | double | probeCharge = `1.0`,
|  | bool | absVal = `false`,
|  | double | alpha = `0.0`,
|  | double | cutoff = `1.0`,
|  | double | epsilon = `80.0`,
|  | double | xi = `4.0`
| ) |  |

constructs CoulombDielectric object from vectors of charges and positions

Parameters

  charges | vector of charges [e]
  pos | vector of postions [A]
  probeCharge | charge of probe [e] (default: 1.0)
  absVal | if true, negative (favored) values of interactions are calculated (default: false)
  alpha | softcore interaction parameter [A^2]; if zero, a minimum cutoff distance is used (default: 0.0)
  cutoff | minimum cutoff distance [A] (default: 1.0)
  epsilon | relative permittivity of solvent (default: 80.0)
  xi | relative permittivity of solute (default: 4.0)

## CoulombDielectric() [3/3]

RDMIF::CoulombDielectric::CoulombDielectric | ( | const RDKit::ROMol & | mol,
|  | int | confId = `-1`,
|  | double | probeCharge = `1.0`,
|  | bool | absVal = `false`,
|  | const std::string & | prop = `"_GasteigerCharge"`,
|  | double | alpha = `0.0`,
|  | double | cutoff = `1.0`,
|  | double | epsilon = `80.0`,
|  | double | xi = `4.0`
| ) |  |

constructs Coulomb object from a molecule object

The molecule `mol` needs to have partial charges set as property of atoms.

Parameters

  mol | molecule object
  confId | conformation id which is used to get positions of atoms (default=-1)
  probeCharge | charge of probe [e] (default: 1.0)
  absVal | if true, negative (favored) values of interactions are calculated (default: false)
  prop | property key for retrieving partial charges of atoms (default: "_GasteigerCharge")
  alpha | softcore interaction parameter [A^2], if zero, a minimum cutoff distance is used (default: 0.0)
  cutoff | minimum cutoff distance [A] (default: 1.0)
  epsilon | relative permittivity of solvent (default: 80.0)
  xi | relative permittivity of solute (default: 4.0)

## Member Function Documentation

## operator()()

double RDMIF::CoulombDielectric::operator() | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | thres
| ) |  | const

returns the electrostatic interaction at point `pt` in the molecule's field in [kJ mol^-1]

Parameters

  x,y,z | coordinates at which the interaction is calculated
  thres | squared threshold distance

Returns
  electrostatic interaction energy in [kJ mol^-1]

The documentation for this class was generated from the following file:

- MIFDescriptors.h